> ## Documentation Index
> Fetch the complete documentation index at: https://developer.chessplay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Classroom

> Delete a classroom

## Path Parameters

<ParamField path="id" type="integer" required>
  Classroom ID
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.chessplay.io/api/v1/classrooms/1/ \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```python Python theme={null}
  import requests

  headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
  response = requests.delete(
      "https://api.chessplay.io/api/v1/classrooms/1/",
      headers=headers
  )
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.chessplay.io/api/v1/classrooms/1/', {
    method: 'DELETE',
    headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
  });
  ```
</RequestExample>

<ResponseExample>
  ```json 204 No Content theme={null}
  ```
</ResponseExample>

<Warning>Admin only</Warning>
